Last Comment Bug 739683 - chat - selected items don't look as such on linux
: chat - selected items don't look as such on linux
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: Trunk
: All Linux
: -- normal (vote)
: Thunderbird 14.0
Assigned To: Richard Marti (:Paenglab)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 10:12 PDT by Andreas Nilsson (:andreasn)
Modified: 2012-04-02 04:17 PDT (History)
4 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
screenshot of current behaviour (9.02 KB, image/png)
2012-03-27 10:12 PDT, Andreas Nilsson (:andreasn)
no flags Details
Patch (854 bytes, patch)
2012-03-31 02:14 PDT, Richard Marti (:Paenglab)
bugs: review+
bugs: ui‑review+
mozilla: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Andreas Nilsson (:andreasn) 2012-03-27 10:12:47 PDT
Created attachment 609769 [details]
screenshot of current behaviour

Needs highlight background for selected items in the contactslistbox on Linux.
Comment 1 Richard Marti (:Paenglab) 2012-03-31 02:14:59 PDT
Created attachment 611136 [details] [diff] [review]
Patch
Comment 2 Richard Marti (:Paenglab) 2012-03-31 02:20:23 PDT
Comment on attachment 611136 [details] [diff] [review]
Patch

Give the items a selected appearance. Additionally I gave a padding on both sides. Now the icons and close button aren't connected directly to the border. The close button was 20px high. With .conv-hbox {-moz-box-align: center;} the button is again 16px high as it should be.
Comment 3 Andreas Nilsson (:andreasn) 2012-03-31 09:53:12 PDT
Comment on attachment 611136 [details] [diff] [review]
Patch

Excellent!
Comment 4 Richard Marti (:Paenglab) 2012-03-31 10:16:28 PDT
Comment on attachment 611136 [details] [diff] [review]
Patch

With this patch the selected items would also have the correct colors on aurora.
Comment 5 Ryan VanderMeulen [:RyanVM] 2012-04-01 12:10:25 PDT
http://hg.mozilla.org/comm-central/rev/0857a31a1ccd
Comment 6 Florian Quèze [:florian] [:flo] 2012-04-02 04:05:35 PDT
http://hg.mozilla.org/releases/comm-aurora/rev/83d79bf3774b
Comment 7 Florian Quèze [:florian] [:flo] 2012-04-02 04:17:37 PDT
Please CC me on similar bugs (Chat bugs filed in Thunderbird/Theme) in the future, I'm trying to keep track of all the IM polish work, thanks!

Note You need to log in before you can comment on or make changes to this bug.